> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses employees



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/employees
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/employees:
    get:
      tags:
        - Employees
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: status
          in: query
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfEmployeeResponse
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfEmployeeResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BusinessEmployeesEmployeeResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
          nullable: true
        employeeIdentifier:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        managerId:
          type: integer
          format: int64
          nullable: true
        manager:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
        status:
          type: string
          nullable: true
        isMemberOnPlatform:
          type: boolean
        birthdate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        departments:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesDepartmentMembershipResponse'
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesLocationMembershipResponse'
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    BusinessEmployeesDepartmentMembershipResponse:
      type: object
      properties:
        departmentId:
          type: integer
          format: int64
        departmentName:
          type: string
          nullable: true
      additionalProperties: false
    BusinessEmployeesLocationMembershipResponse:
      type: object
      properties:
        locationId:
          type: integer
          format: int64
        locationName:
          type: string
          nullable: true
      additionalProperties: false

````